DSMIDIWIFI(1)

NAME
DSMIDIWiFi - DSMI over WLAN server

SYNOPSIS
DSMIDIWiFi note

DESCRIPTION
DSMIDIWiFi is a Qt application that serves as the server side of a DSMI (Nintendo® DS MIDI) over WLAN session. Once started, it initialises the connections between UDP and ALSA MIDI, then will simply show a GUI application window with a logo but no interactivity; closing the window will terminate the server.

DSMIDIWiFi uses the UDP ports 9000 and 9001 for broadcast communication with a Nintendo® DS or another device / application using the DSMI interface. If the ports cannot be bound or ALSA MIDI cannot be initialised, an error dialogue is shown, and the program should be terminated.

The mandatory argument note gives the MIDI note that A4 (440 Hz) is supposed to be mapped to. The standard requires this to be note 69, but some applications are octave-confused and might require 57 (Piano For You on Android) or 81 (TouchDAW ibidem), or even weirder values.

DIAGNOSTICS
Some diagnostics are written to stdout.

SEE ALSO
amidi(1), musescore(1)

http://dsmi.tobw.net/
    Homepage

http://doc.qt.io/qt-5/qguiapplication.html#supported-command-line-options
    Documentation of automatic Qt command line options

Some Android and iPhone apps implement DSMI and can talk to this server.

AUTHORS
-nosplit DSMIDIWiFi was written by Tobias Weyand <me@dsmi.tobw.net>; this manual page was written by mirabilos <tg@debian.org> for the Debian project but may be used by others.

BUGS
Probably.